# Generated by Django 3.1.2 on 2020-11-24 14:47

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Matkul',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=100)),
                ('dosen', models.CharField(max_length=100)),
                ('sks', models.IntegerField()),
                ('desc', models.TextField(blank=True, null=True)),
                ('year', models.CharField(blank=True, choices=[('gasal 2020/2021', 'Gasal 2020/2021'), ('genap 2019/2020', 'Genap 2019/2020'), ('gasal 2019/2020', 'Gasal 2019/2020'), ('genap 2018/2019', 'Genap 2018/2019'), ('gasal 2018/2019', 'Gasal 2018/2019')], max_length=15, null=True)),
                ('ruang', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.CharField(max_length=200)),
                ('published_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('matkul', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.matkul')),
            ],
        ),
    ]
